baner

Joomla i php7 jak ustawić w DA

Wersja Joomla o numerze 3.5 i wyżej może współpracować z PHP w wersji 7. Być może wybiegam mocno w przyszłość, zważywszy ze wiele hostingów nie oferuje PHP wersji wyższej niż 5.4.x, nie mówiąc już o wersji 5.6.x. Bo skoro wszystko działą dobrze to po co psuć. Pamiętajmy jednak że kolejne wersje PHP 5 z biegiem lat będą tracić wsparcie. Co to oznacza, nie będą wychodzic już poprawki łatające dziury. Nasza strona będzie bardziej podatna na ataki. Pamiętamy czarny dzień Joomla, kiedy to wykryto lukę która narażała strony oparte o Joomla pracujące na starszych nie wspieranych wersja PHP na ataki i to udane ataki. Oczywiście zalecam aby nasza Joomla 3.5 współpracowała z PHP 5.6.x jeśli nie z wersją 7.

Co nam da przejście na Joomla 3.4 na PHP 7.

Mówi się o dwu wyraźnych korzyściach. Pierwsze to znaczne przyspieszenie strony, znalazłem opracowania w Internecie gdzie pisano prawie dwukrotnym przyspieszeniu, ale są też dane wskazujące na delikatne kilku procentowe przyspieszenie witryny. Nie znalazłem nigdzie informacji jakoby przełączenie na PHP7 spowolniło stronę. Joomla współpracując z PHP 7 mniej obciąża serwer, zużywa mniej jego zasobów. Fanatycy szybkości powinni być więc zadowoleni. Tutaj nie chodzi tylko o fanatyzm, jak wiemy szybciej ładująca się strona to wyższa pozycja w wynikach wyszukiwania i większa wygoda dla użytkownika. On dłużej pozostanie na danej stronie.
Korzyść druga spokój
Pozostając na starszych wersjach PHP prędzej czy później będziemy musieli przejść na 7. Więc czemu nie zrobić tego już teraz, o ile nasz hosting na to pozwala. Jak wyżej pisałem wiele firm ma problem z aktualizacją. Mam kilaka możliwości przejścia na PHP 7. Najprostsza to po prostu zmiana w panelu administracyjnym. Przechodzimy do miejsca gdzie możemy zarządzac naszym kontem i szukamy miejsca gdzie można zmienić PHP na 7. Jeśli jest takie odznaczamy odpowiednia opcję i klikamy zapisz. Po kilku minutach nasza strona pracuje na PHP 7. Oczywiście UWAGA: Musi to być Joomla w wersji 3.5 i wyżej oraz rozszerzenia musza pracować z PHP 7. Być może jakieś rozszerzenie nie poradzi sobie z wersją 7 i nasza strona na Joomla 3.5 przestanie działać. Niestety na innych hostingach jest trudniej tam trzeba wkleić odpowiedni kod do pliku httacces, jaki do kod zwykle znajdziemy to w pomocy hostingu lub poprosimy o pomoc wsparcie firmy.